h43432
s 00000/00000/00065
d D 1.2 83/03/31 12:31:16 mmm 2 1
c 
e
s 00065/00000/00000
d D 1.1 83/03/15 21:37:31 tes 1 0
c date and time created 83/03/15 21:37:31 by tes
e
u
4
U
t
T
I 1
subroutine gifaf (wktype,errind,nfai)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Inquire fill area facilities                           #
#                                                                      #
#     Input Parameters:                                                #
#            wktype - workstation type                                 #
#     Output Parameters:                                               #
#            errind - error indicator                                  #
#            nfai(1)- number of available interior styles              #
#            nfai(2-5) - list of interior styles                       #
#            nfai(6) - number of avilable hatch styles                 #
#                                                                      #
#     Errors:                                                          #
#            7  GKS not in proper state: GKS must be in one of the     #
#               states WSOP, WSAC, or SGOP                             #
#           22  Specified workstation type is invalid                  #
#           23  Specified workstation does not exist                   #
#           37  Specified workstation is neither an output             #
#               station nor an output/input workstation                #
#                                                                      #
#     Routines Called:                                                 #
#            errchk - perform appropriate error checking               #
#                                                                      #
########################################################################
integer  wktype, errind, nfai(6)

ifdef(`ERROR_ON',`
   integer errchk, ierdum, ierary(1), erary1
   ')

include(`gkscom')

ifdef(`ERROR_ON',`
   equivalence (ierary(1), erary1)
   ')
 
   # In all inquiry routines, initialize errind to 0 (zero).
   errind = 0

   ifdef(`ERROR_ON',`
      rounum = GIFAF
      #   ierary(1) = wktype
      erary1 = wktype
      errind = errchk(ierdum, ierary)
      if  (errind != 0) return
      ')

   nfai(1) = 4   # Get number of hatch styles from common
   nfai(2) = 0
   nfai(3) = 1
   nfai(4) = 2
   nfai(5) = 3
   nfai(6) = nhatst

   return
end
E 1
